import { Program, ProgramError } from '@metaplex-foundation/umi-core';
export declare class TokExInvalidSystemProgramError extends ProgramError {
    readonly name: string;
    readonly code: number;
    constructor(program: Program, cause?: Error);
}
export declare class TokExInvalidTokenProgramError extends ProgramError {
    readonly name: string;
    readonly code: number;
    constructor(program: Program, cause?: Error);
}
export declare class TokExInvalidAssociatedTokenProgramError extends ProgramError {
    readonly name: string;
    readonly code: number;
    constructor(program: Program, cause?: Error);
}
export declare class TokExInvalidAssociatedTokenAccountError extends ProgramError {
    readonly name: string;
    readonly code: number;
    constructor(program: Program, cause?: Error);
}
export declare class TokExInvalidProgramOwnerError extends ProgramError {
    readonly name: string;
    readonly code: number;
    constructor(program: Program, cause?: Error);
}
export declare class TokExInvalidTokenMintError extends ProgramError {
    readonly name: string;
    readonly code: number;
    constructor(program: Program, cause?: Error);
}
export declare class TokExInvalidTokenOwnerError extends ProgramError {
    readonly name: string;
    readonly code: number;
    constructor(program: Program, cause?: Error);
}
export declare class TokExCannotCreateNonAssociatedTokenError extends ProgramError {
    readonly name: string;
    readonly code: number;
    constructor(program: Program, cause?: Error);
}
export declare function getMplTokenExtrasErrorFromCode(code: number, program: Program, cause?: Error): ProgramError | null;
export declare function getMplTokenExtrasErrorFromName(name: string, program: Program, cause?: Error): ProgramError | null;
