import { Program, ProgramError } from '@metaplex-foundation/umi-core';
export declare class AtaInvalidOwnerError extends ProgramError {
    readonly name: string;
    readonly code: number;
    constructor(program: Program, cause?: Error);
}
export declare function getSplAssociatedTokenErrorFromCode(code: number, program: Program, cause?: Error): ProgramError | null;
export declare function getSplAssociatedTokenErrorFromName(name: string, program: Program, cause?: Error): ProgramError | null;
