import { Context, PublicKey, Serializer, WrappedInstruction } from '@metaplex-foundation/umi-core';
export type AmountToUiAmountInstructionAccounts = {
    mint: PublicKey;
};
export type AmountToUiAmountInstructionData = {
    discriminator: number;
    amount: bigint;
};
export type AmountToUiAmountInstructionArgs = {
    amount: number | bigint;
};
export declare function getAmountToUiAmountInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<AmountToUiAmountInstructionArgs, AmountToUiAmountInstructionData>;
export declare function amountToUiAmount(context: Pick<Context, 'serializer' | 'programs'>, input: AmountToUiAmountInstructionAccounts & AmountToUiAmountInstructionArgs): WrappedInstruction;
