import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi-core';
export type RevokeTokenDelegateInstructionAccounts = {
    source: PublicKey;
    owner: Signer;
};
export type RevokeTokenDelegateInstructionData = {
    discriminator: number;
};
export type RevokeTokenDelegateInstructionArgs = {};
export declare function getRevokeTokenDelegateInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<RevokeTokenDelegateInstructionArgs, RevokeTokenDelegateInstructionData>;
export declare function revokeTokenDelegate(context: Pick<Context, 'serializer' | 'programs'>, input: RevokeTokenDelegateInstructionAccounts): WrappedInstruction;
