"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMplSystemExtrasProgram = void 0;
const umi_core_1 = require("@metaplex-foundation/umi-core");
const errors_1 = require("../errors");
function getMplSystemExtrasProgram() {
    return {
        name: 'mplSystemExtras',
        publicKey: (0, umi_core_1.publicKey)('SysExL2WDyJi9aRZrXorrjHJut3JwHQ7R9bTyctbNNG'),
        getErrorFromCode(code, cause) {
            return (0, errors_1.getMplSystemExtrasErrorFromCode)(code, this, cause);
        },
        getErrorFromName(name, cause) {
            return (0, errors_1.getMplSystemExtrasErrorFromName)(name, this, cause);
        },
        isOnCluster() {
            return true;
        },
    };
}
exports.getMplSystemExtrasProgram = getMplSystemExtrasProgram;
//# sourceMappingURL=mplSystemExtras.js.map