"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTokenStateSerializer = exports.TokenState = void 0;
var TokenState;
(function (TokenState) {
    TokenState[TokenState["Uninitialized"] = 0] = "Uninitialized";
    TokenState[TokenState["Initialized"] = 1] = "Initialized";
    TokenState[TokenState["Frozen"] = 2] = "Frozen";
})(TokenState = exports.TokenState || (exports.TokenState = {}));
function getTokenStateSerializer(context) {
    const s = context.serializer;
    return s.enum(TokenState, 'TokenState');
}
exports.getTokenStateSerializer = getTokenStateSerializer;
//# sourceMappingURL=tokenState.js.map