import { Context, PublicKey, RpcCallOptions } from '@metaplex-foundation/umi-core';
import { Token } from './generated';
export declare const fetchTokensByOwner: (context: Pick<Context, 'rpc' | 'serializer' | 'programs'>, owner: PublicKey, options?: RpcCallOptions & {
    mint?: PublicKey;
}) => Promise<Array<Token>>;
export declare const fetchTokensByOwnerAndMint: (context: Pick<Context, 'rpc' | 'serializer' | 'programs'>, owner: PublicKey, mint: PublicKey, options?: RpcCallOptions) => Promise<Array<Token>>;
