"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSplSystemErrorFromName = exports.getSplSystemErrorFromCode = void 0;
const codeToErrorMap = new Map();
const nameToErrorMap = new Map();
function getSplSystemErrorFromCode(code, program, cause) {
    const constructor = codeToErrorMap.get(code);
    return constructor ? new constructor(program, cause) : null;
}
exports.getSplSystemErrorFromCode = getSplSystemErrorFromCode;
function getSplSystemErrorFromName(name, program, cause) {
    const constructor = nameToErrorMap.get(name);
    return constructor ? new constructor(program, cause) : null;
}
exports.getSplSystemErrorFromName = getSplSystemErrorFromName;
//# sourceMappingURL=splSystem.js.map