import { Context, PublicKey, Signer, WrappedInstruction } from '@metaplex-foundation/umi-core';
export type CreateIdempotentAssociatedTokenInstructionAccounts = {
    payer?: Signer;
    ata: PublicKey;
    owner: PublicKey;
    mint: PublicKey;
    systemProgram?: PublicKey;
    tokenProgram?: PublicKey;
};
export declare function createIdempotentAssociatedToken(context: Pick<Context, 'serializer' | 'programs' | 'payer'>, input: CreateIdempotentAssociatedTokenInstructionAccounts): WrappedInstruction;
