import { Context, PublicKey, Serializer, WrappedInstruction } from '@metaplex-foundation/umi-core';
export type InitializeMultisigInstructionAccounts = {
    multisig: PublicKey;
    rent?: PublicKey;
};
export type InitializeMultisigInstructionData = {
    discriminator: number;
    m: number;
};
export type InitializeMultisigInstructionArgs = {
    m: number;
};
export declare function getInitializeMultisigInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<InitializeMultisigInstructionArgs, InitializeMultisigInstructionData>;
export declare function initializeMultisig(context: Pick<Context, 'serializer' | 'programs'>, input: InitializeMultisigInstructionAccounts & InitializeMultisigInstructionArgs): WrappedInstruction;
