import { Context, PublicKey, Serializer, WrappedInstruction } from '@metaplex-foundation/umi-core';
export type SyncNativeInstructionAccounts = {
    account: PublicKey;
};
export type SyncNativeInstructionData = {
    discriminator: number;
};
export type SyncNativeInstructionArgs = {};
export declare function getSyncNativeInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<SyncNativeInstructionArgs, SyncNativeInstructionData>;
export declare function syncNative(context: Pick<Context, 'serializer' | 'programs'>, input: SyncNativeInstructionAccounts): WrappedInstruction;
