import { Context, PublicKey, Serializer, WrappedInstruction } from '@metaplex-foundation/umi-core';
export type UiAmountToAmountInstructionAccounts = {
    mint: PublicKey;
};
export type UiAmountToAmountInstructionData = {
    discriminator: number;
    uiAmount: bigint;
};
export type UiAmountToAmountInstructionArgs = {
    uiAmount: number | bigint;
};
export declare function getUiAmountToAmountInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<UiAmountToAmountInstructionArgs, UiAmountToAmountInstructionData>;
export declare function uiAmountToAmount(context: Pick<Context, 'serializer' | 'programs'>, input: UiAmountToAmountInstructionAccounts & UiAmountToAmountInstructionArgs): WrappedInstruction;
